aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files/etc/init.d/watchdog
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/files/etc/init.d/watchdog')
-rwxr-xr-xpackage/base-files/files/etc/init.d/watchdog13
1 files changed, 13 insertions, 0 deletions
diff --git a/package/base-files/files/etc/init.d/watchdog b/package/base-files/files/etc/init.d/watchdog
new file mode 100755
index 000000000..299c89142
--- /dev/null
+++ b/package/base-files/files/etc/init.d/watchdog
@@ -0,0 +1,13 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2008-2011 OpenWrt.org
+
+START=97
+
+start() {
+ [ -c /dev/watchdog ] || return 1
+ [ -x /sbin/watchdog ] || return 1
+ service_start /sbin/watchdog -t 5 /dev/watchdog
+}
+stop() {
+ service_stop /sbin/watchdog
+}